org.apache.bcel.verifier.statics

## Class LocalVariableInfo

- java.lang.Object
- - org.apache.bcel.verifier.statics.LocalVariableInfo

-     public class LocalVariableInfo
      extends Object

  A utility class holding the information about the name and the type of a local variable in a given slot (== index). This information often changes in course of byte code offsets.
  Version:
    $Id: LocalVariableInfo.java 1806200 2017-08-25 16:33:06Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariableInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String name, int startpc, int length, Type t)` Adds some information about this local variable (slot).
    `String` | `getName(int offset)` Returns the name of the local variable that uses this local variable slot at the given bytecode offset.
    `Type` | `getType(int offset)` Returns the type of the local variable that uses this local variable slot at the given bytecode offset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalVariableInfo

          public LocalVariableInfo()

  - ### Method Detail

    - #### getType

          public Type getType(int offset)

      Returns the type of the local variable that uses this local variable slot at the given bytecode offset. Care for legal bytecode offsets yourself, otherwise the return value might be wrong. May return 'null' if nothing is known about the type of this local variable slot at the given bytecode offset.

    - #### getName

          public String getName(int offset)

      Returns the name of the local variable that uses this local variable slot at the given bytecode offset. Care for legal bytecode offsets yourself, otherwise the return value might be wrong. May return 'null' if nothing is known about the type of this local variable slot at the given bytecode offset.

    - #### add

          public void add(String name,
                          int startpc,
                          int length,
                          Type t)
                   throws LocalVariableInfoInconsistentException

      Adds some information about this local variable (slot).
      Throws:
        `LocalVariableInfoInconsistentException` - if the new information conflicts with already gathered information.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.